ContactsApi
All URIs are relative to http://admin.alertsense.com/api
| Method | HTTP request | Description |
|---|---|---|
| createFromFile | POST /v4/{tenantId}/distributionLists/createFromFile | |
| findContacts | POST /v2/contacts/find | |
| getAlertsByIdRecipients | GET /v2/alerts/{id}/results/recipients | |
| getAlertsByIdSingleRecipient | GET /v2/alerts/{alertId}/results/recipients/{recipientId} |
createFromFile
CreateDistributionListFromFileResponse createFromFile(tenantId, createDistributionListFromFileRequest)
Creates a distribution list from a CSV file structured after /v2/contacts/export
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | Id of the tenant | [default to null] |
| createDistributionListFromFileRequest | CreateDistributionListFromFileRequest | The file to create the list from. |
Return type
CreateDistributionListFromFileResponse
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json
findContacts
PagedContactResponse findContacts(body)
Returns a paged list of the contacts.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | FindContactRequest | Filters for contact search | [optional] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json
getAlertsByIdRecipients
PagedRecipientResponse getAlertsByIdRecipients(id, recipientIds, isMandatory, pollOptionId, name, email, page, pageSize, sort)
Results for all the recipients who have received this specific alert.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | Integer | Id of the alert | [default to null] |
| recipientIds | List | Filters recipeints by IDs. | [optional] [default to null] |
| isMandatory | Boolean | Filters by recipeints that were mandatory when the alert was sent. | [optional] [default to null] |
| pollOptionId | Integer | Filters recipeints by the poll option they selected. | [optional] [default to null] |
| name | String | Filters recipeints by name. | [optional] [default to null] |
| String | Filters recipeints by email. | [optional] [default to null] | |
| page | Integer | The page number of items to return. (1 by default) | [optional] [default to 1] |
| pageSize | Integer | The desired number of items per page. (25 by default) | [optional] [default to 25] |
| sort | String | A comma seperated list of properties to order by. Properties preceded by a '-' will be ordered descending. (e.g. ?sort=lastName,firstName,-responseTime). Property names are case insensitive. | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertsByIdSingleRecipient
SingleRecipientResponse getAlertsByIdSingleRecipient(alertId, recipientId)
Results for the specified recipient who has received this specific alert.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | Id of the alert | [default to null] |
| recipientId | Integer | Id of the recipient | [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json